Attribute VB_Name = "Module1"
Global lacadena As String
Global totales As Double
Global guia1 As Integer

Global razonsocial1 As String
Global domicilio1 As String
Global ciudad1 As String
Global cuit1 As String
Global numero1 As String
Global telefono1 As String
Global h As String
Global lacadena2 As String
Global segundos As Integer

Global aaa As Integer

Global bancocheque As String
Global numerocheque As String
Global vt As String

Global camino As String






Public Sub Main()
Dim h As String
Dim fecha2(2) As String
segundos = 0
u = 0

elcamino = ""
Open App.Path + "\unidad.txt" For Input As #1
Line Input #1, elcamino
Close #1
camino = Trim(elcamino)


'Open App.Path + "\licencia.dll" For Input As #1
'    While Not EOF(1)
'        Line Input #1, linea
'        fecha2(u) = Trim(linea)
'        u = u + 1
'    Wend
'Close #1
Open App.Path + "\contrreg.dll" For Input As #1

    Line Input #1, asas
Close #1
asas = Trim(asas)

'h1 = Asc(Mid(fecha2(0), 1, 1)) - 64
'h2 = Asc(Mid(fecha2(0), 2, 1)) - 64
'h3 = "/"
'h4 = Asc(Mid(fecha2(0), 3, 1)) - 64
'h5 = Asc(Mid(fecha2(0), 4, 1)) - 64
'h6 = "/"
'h7 = Asc(Mid(fecha2(0), 5, 1)) - 64
'h8 = Asc(Mid(fecha2(0), 6, 1)) - 64
'h9 = Asc(Mid(fecha2(0), 7, 1)) - 64
'h10 = Asc(Mid(fecha2(0), 8, 1)) - 64
'h = Trim(Str(h1)) & Trim(Str(h2)) & Trim(h3) & Trim(Str(h4)) & Trim(Str(h5)) & Trim(h6) & Trim(Str(h7)) & Trim(Str(h8)) & Trim(Str(h9)) & Trim(Str(h10))

If asas = 0 Then
RetVal = Shell("regedit.exe  /s c:\Boletacec\barras.reg", 1)
RetVal = Shell("regedit.exe  /s c:\Boletacec\form.reg", 1)
RetVal = Shell("regsvr32.exe /s c:\Boletacec\Numletras.ocx", 1)
Open camino + "\contrreg.dll" For Output As #1

    Print #1, "1"
Close #1
End If


'If Date < CDate(h) Then
'    Autor.Label6.Caption = h
   'EP.Caption = "V. 2.0 R 37"
'    Form1.Show
    EP.Show
'    Else
'    MsgBox "Bajar nueva licencia", vbCritical, "Aviso"
'   End
'End If
End Sub
